Subject: -iconic switch causes max button on window to not be there

From: Warren Dodge <[email-masked]>
Date: Thu, 19 Feb 2009 13:36:34 -0800

I am on this system running the kde desktop.

Linux lwe127084 2.6.9-55.ELhugemem #1 SMP Fri Apr 20 17:20:11 EDT 2007 i686 i686 i386 GNU/Linux

If I type this "emacs-22.3 -Q" the window will come up and in the upper
right corner will be the three buttons for iconing, maximizing and
killing the window.

If I type this "emacs-22.3 -Q -iconic" the window will come up
iconified. If I bring up the window then in the upper right corner will
be only two buttons for iconing and killing the window. The maximizing
button is missing.

This seems wrong but maybe there is a reason for it.

In GNU Emacs 22.3.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2009-02-19 on zephyr
Windowing system distributor `The X.Org Foundation', version 11.0.60802000
configured using `configure  '--prefix=/tools/wdtgnu/emacs-22.3' '--disable-nls''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: identity

Recent input:
<help-echo> <down-mouse-5> <mouse-5> <double-down-mouse-5> 
<double-mouse-5> <triple-down-mouse-5> <triple-mouse-5> 
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5> 
<triple-mouse-5> <down-mouse-1> <mouse-movement> <mouse-movement> 
<drag-mouse-1> <switch-frame> <help-echo> <switch-frame> 
<switch-frame> <escape> x e m a c s - b <tab> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> r e p o <tab> t <tab> <backspace> r <tab> 
<return>

Recent messages:
Loading /login/warrend/.emacs22...done
For information about GNU Emacs and the GNU system, type <f1> C-a.
Loading sh-script...done
Setting up indent for shell type sh
setting up indent stuff
Indentation variables are now local.
Indentation setup for shell type sh
When done with a buffer, type C-x #.
Making completion list...
Loading emacsbug...done